{# ######################################################################### #}
{# Standard modüllerin üretileceği twig şablonudur. Bu şablondan türetilecek #}
{# sayfalarda bloklar aşağıdaki sıralamada kullanılmalıdır:                  #}
{#                                                                           #}
{# {% extends '@KaitekFramework/Backend/module.html.twig' %}            #}
{# {% trans_default_domain (modulename) %}                                   #}
{# Editor içinde Javascript syntax highlighting'in çalışması için            #}
{# hem module.html.twig içinde hem de bu sayfadan türeyenlerin               #}
{# içinde begin_javascript_fix ve end_javascript_fix blokları kullanılmalı.  #}
{# Türeyen sayfa içindeki bu bloklarda parent() KULLANILMAMALI.              #}
{# {% block begin_javascript_fix %}                                          #}
{# <script type="text/javascript">                                           #}
{# {% endblock begin_javascript_fix %}                                       #}
{# {% block begin_javascript %}                                              #}
{# {% endblock begin_javascript %}                                           #}
{# {% block begin_default_module %}                                          #}
{# {{ parent() }}                                                            #}
{#      ÖZEL MODÜL JS KODLARI BU KISMA YERLEŞTİRİLEBİLİR                     #}
{# {% endblock begin_default_module %}                                       #}
{# {% block end_default_module %}                                            #}
{# {{ parent() }}                                                            #}
{# {% endblock end_default_module %}                                         #}
{# {% block end_javascript %}                                                #}
{# {% endblock end_javascript %}                                             #}
{# {% block end_javascript_fix %}                                            #}
{# </script>                                                                 #}
{# {% endblock end_javascript_fix %}                                         #}
{# {% block body %}                                                          #}
{# {{ parent() }}                                                            #}
{#      MODÜL HTML KODLARI BU KISMA YERLEŞTİRİLEBİLİR                        #}
{# {% endblock body %}                                                       #}
{#                                                                           #}
{# ######################################################################### #}
{# ######################################################################### #}
{# Controller içinden aşağıdaki şekilde "data" altında gönderilen değerlere  #}
{# modül twigi içerisindeki javascript ile $1.data.records/users şeklinde    #}
{# erişilmesini sağlar                                                       #}
{# $data = array(                                                            #}
{#     "modulename" => $request->request->get('modulename')                  #}
{#     , "data" => array(                                                    #}
{#         "records" => $records                                             #}
{#         , "users" => $users                                               #}
{#     )                                                                     #}
{# );                                                                        #}
{# return $this->render('AppBundle:Modules:Consultant.html.twig', $data);    #}
{# ######################################################################### #}
{% trans_default_domain (modulename) %}
{% block body %}

{% block begin_javascript_fix %}
<script type="text/javascript">
{% endblock begin_javascript_fix %}


{% block begin_javascript %}
    var $1_={};
    var $1;
    {{ modulename }}Obj = function(config){
        {{ modulename }}Obj.superclass.constructor.call(this, config);
    };
{% endblock begin_javascript %}


{% block begin_default_module %}
{{ modulename }}Obj.prototype.audit = {{ audit }};
mj.extend({{ modulename }}Obj, baseObj);
var {{ modulename }}Module = function () {
    $1 = window[tmpModule.modulename] = mj.apply(new {{ modulename }}Obj({
        scope : window.tmp,
        modulename : '{{ modulename }}',
        data : {{ data|json_encode()|raw }},
        recordsperpage : {{ recordsperpage }},
        extras : {{ extras|json_encode()|raw }}
    }), tmpModule);
{% endblock begin_default_module %}


{% block end_default_module %}
    delete window.tmpModule;
    delete window.tmpConfig;

    if($1.gridLoaded){
        $1.stores.main.load();
    }
};
$(function () {
    {{ modulename }}Module();
});
{% endblock end_default_module %}


{% block end_javascript %}
{% endblock end_javascript %}


{% block end_javascript_fix %}
</script>
{% endblock end_javascript_fix %}

{% endblock body %}
